# limit

Identity v3

Limits are used to specify project-specific limits thresholds of resources.

## limit create

Create a limit

    openstack limit create
        [--description <description>]
        [--region <region>]
        --project <project>
        [--project-domain <project-domain>]
        --service <service>
        --resource-limit <resource-limit>
        <resource-name>

--description <description>

  Description of the limit

--region <region>

  Region for the limit to affect.

--project <project>

  Project to associate the resource limit to

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--service <service>

  Service responsible for the resource to limit

--resource-limit <resource-limit>

  The resource limit for the project to assume

resource-name

  The name of the resource to limit

## limit delete

Delete a limit

    openstack limit delete <limit-id> [<limit-id> ...]

limit-id

  Limit to delete (ID) (repeat option to remove multiple limits)

## limit list

List limits

    openstack limit list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--service <service>]
        [--resource-name <resource-name>]
        [--region <region>]
        [--project <project>]
        [--project-domain <project-domain>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--service <service>

  Service responsible for the resource to limit

--resource-name <resource-name>

  The name of the resource to limit

--region <region>

  Region for the registered limit to affect.

--project <project>

  List resource limits associated with project

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

## limit set

Update information about a limit

    openstack limit set
        [--description <description>]
        [--resource-limit <resource-limit>]
        <limit-id>

--description <description>

  Description of the limit

--resource-limit <resource-limit>

  The resource limit for the project to assume

limit-id

  Limit to update (ID)

## limit show

Display limit details

    openstack limit show <limit-id>

limit-id

  Limit to display (ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.